function GameScreen:InitScreen()
    self:LoadScreen()
    
    ItemSetOpacity("hud", 0)
    self:FadeOut();
    self.disable = false
end

function GameScreen:OnClick(item_name)
    if(item_name == "tool_found_back_trigger" and not self.disable) then
        self.disable = true;
        self:FadeIn();
        if(self.end_fun) then
            self:end_fun()
        end
        DelayedExec(0.5, function() 
            clScreenManager:remove_screen(self); 
        end)
    end
end

function GameScreen:Show(_resource, _pos_x, _pos_y)
    self:CreateObj(OBJ_TYPE.NO_ACTIVE, "tool_found_img", _resource, _pos_x, _pos_y);
end

function GameScreen:LoadScreen()
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "tool_found_back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
    ItemSetOpacity("tool_found_back_trigger", 0.5)
end

function GameScreen:UnLoadScreen()
    ItemSetOpacity("hud", 1.0)
    cpp_application_remove_window(self.name);
	self.win = false;
end